{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Updates the share's display name and tags. Omitting `tags` leaves the\nexisting tags unchanged. Recipients and resources are managed via their\nsubresource endpoints.\n","properties":{"path":{"type":"object","properties":{"account_id":{"$ref":"#/definitions/resource-sharing_account_id"},"share_id":{"$ref":"#/definitions/resource-sharing_share_id"}},"required":["account_id","share_id"],"additionalProperties":false},"body":{"$ref":"#/definitions/resource-sharing_update_share_request"}},"required":["path","body"],"additionalProperties":false,"definitions":{"resource-sharing_account_id":{"description":"Account identifier.","type":"string","maxLength":32,"minLength":32,"pattern":"^[0-9a-fA-F]{32}$","examples":["023e105f4ecef8ad9ca31a8372d0c353"]},"resource-sharing_share_id":{"description":"Share identifier tag.","type":"string","maxLength":32,"minLength":32,"pattern":"^[0-9a-fA-F]{32}$","examples":["3fd85f74b32742f1bff64a85009dda07"]},"resource-sharing_update_share_request":{"description":"Request body for `PUT /accounts/{account_id}/shares/{share_id}`. The\nshare's display `name` and `tags` can be updated via this endpoint. To\nmodify recipients, use the\n`/accounts/{account_id}/shares/{share_id}/recipients` subresource\nendpoints (POST, PUT, DELETE).\n","type":"object","properties":{"name":{"$ref":"#/definitions/resource-sharing_share_name"},"tags":{"$ref":"#/definitions/resource-sharing_share_tags"}},"required":["name"]},"resource-sharing_share_name":{"description":"The name of the share.","type":"string","examples":["My Shared WAF Managed Rule"]},"resource-sharing_share_tags":{"description":"Tags associated with the share.","type":"object","additionalProperties":{"type":"string"}}}},"name":"Trigger a share update","id":"cloudflare.share-update","example":{"path":{"account_id":"023e105f4ecef8ad9ca31a8372d0c353","share_id":"3fd85f74b32742f1bff64a85009dda07"},"body":{"name":"My Shared WAF Managed Rule"}},"maxRequests":1,"summary":false}}